using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace EdgeApp.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        //[Authorize()]
        public ActionResult Index()
        {
            ViewData["Message"] = "Welcome to ASP.NET MVC!";

            return View();
        }

        //[Authorize()]
        public ActionResult About()
        {
            return View();
        }

        //[Authorize()]
        public ActionResult Help()
        {
            return View();
        }

        [Authorize(Roles = "User")]
        public ActionResult DataEntry()
        {
            return View();
        }
    }
}
